/*
 * defs.h
 *
 * Created: 2014-12-29 14:49:55
 *  Author: dsosnowski
 */ 


#ifndef DEFS_H_
#define DEFS_H_



#define OUTPUT13_PORT			PORTC
#define OUTPUT13_PIN			PINC
#define OUTPUT13_DDR			DDRC
#define OUT1_PIN				1
#define OUT2_PIN				0
#define OUT3_PIN				2

#define OUTPUT48_PORT			PORTB
#define OUTPUT48_PIN			PINB
#define OUTPUT48_DDR			DDRB
#define OUT4_PIN				5
#define OUT5_PIN				4
#define OUT6_PIN				3
#define OUT7_PIN				2
#define OUT8_PIN				1

#define CONFIG17_PORT			PORTD
#define CONFIG17_PIN			PIND
#define CF1_PIN					3
#define CF2_PIN					4
#define CF5_PIN					5
#define CF6_PIN					6
#define CF7_PIN					7

#define CONFIG348_PORT			PORTB
#define CONFIG348_PIN			PINB
#define CF3_PIN					6
#define CF4_PIN					7
#define CF8_PIN					0

#define IR_PORT					PORTD
#define IR_PIN					PIND
#define IR1_PIN					2
#define RXD_PIN					0
#define IR1_GET					(IR_PIN & (1<<IR1_PIN))

#define UI_PORT					PORTC
#define UI_DDR					DDRC
#define UI_PIN					PINC
#define LED1_PIN				5		//status
#define LED2_PIN				4		//ir
#define PROG_PIN				3
#define LED_ST_ON				(UI_PORT |= (1<<LED1_PIN))
#define LED_ST_OFF				(UI_PORT &=~(1<<LED1_PIN))
#define LED_IR_ON				(UI_PORT |= (1<<LED2_PIN))
#define LED_IR_OFF				(UI_PORT &=~(1<<LED2_PIN))
#define PROG_GET				(UI_PIN & (1<<PROG_PIN))



#define MAIN_DELAY				20
#define IDLE_DELAY				200
#define LONG_BLINK				40
#define DEFAULT_IR_DELAY		5
#define LONG_IR_DELAY			30
#define DEFAULT_CLEAR_DELAY		20


#endif /* DEFS_H_ */